.NET
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

I have a line and a circle I want to get the intersection of both

3 REPLIES 3
Reply
Message 1 of 4
dancalgary
446 Views, 3 Replies

I have a line and a circle I want to get the intersection of both

I have defined into my code a line and a circle

How do I get the intersection between those 2?

 

I have the following code but in VS 2010 is telling me this:

 

 'Public Sub IntersectWith(entityPointer As Autodesk.AutoCAD.DatabaseServices.Entity, intersectType As Autodesk.AutoCAD.DatabaseServices.Intersect, points As Autodesk.AutoCAD.Geometry.Point3dCollection, thisGraphicSystemMarker As Long, otherGraphicSystemMarker As Long)' is obsolete: 'Use the overload taking IntPtr instead.'. 

 

 

Dim Point11 AsNewPoint3dCollection

Line1.IntersectWith(circle1,Intersect.OnBothOperands, Point11, 0, 0)

 

It is working but when I will switch to Autocad 2013 I have to use a different method to get the intersection?

 

Thanks

 

 

3 REPLIES 3
Message 2 of 4
adam.nagy
in reply to: dancalgary

Hi there,

 

Instead of 0 you'll have to pass in IntPtr.Zero.

 

Cheers,

Adam Nagy

Autodesk Developer Network


 



Adam Nagy
Autodesk Platform Services
Message 3 of 4
dancalgary
in reply to: adam.nagy

Can you please give me an example?

I wasn't able to find any examples about intptr

 

Thanks

Message 4 of 4
dancalgary
in reply to: dancalgary

Line1.IntersectWith(circle1,Intersect.OnBothOperands, Point11, IntPtr.Zero, IntPtr.Zero)

 

I find out what do you mean

Thanks

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk DevCon in Munich May 28-29th


Autodesk Design & Make Report

”Boost